/* ply-image.h - png file loader 
 *
 * Copyright (C) 2007 Red Hat, Inc.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2, or (at your option)
 * any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
 * 02111-1307, USA.
 *
 * Written By: Ray Strode <rstrode@redhat.com>
 */
#ifndef PLY_GST_H
#define PLY_GST_H

#include <stdbool.h>
#include <stdint.h>
#include <unistd.h>

typedef struct _ply_gst ply_gst_t;

#ifndef PLY_HIDE_FUNCTION_DECLARATIONS
ply_gst_t *ply_gst_new (const char *pipeline);
bool ply_gst_start (ply_gst_t *g);
bool ply_gst_stop (ply_gst_t *g);
void ply_gst_free (ply_gst_t *g);

#endif

#endif /* PLY_GST_H */
/* vim: set ts=4 sw=4 expandtab autoindent cindent cino={.5s,(0: */
